@use "@/styles/index" as *;

.article {
  width: 100%;
}
.singleCol1 {
  @include desktop {
    max-width: 60%;
  }
}
.doubleCol1 {
  // max-width: 808px;
  flex: 2;
}
.col2 {
  // max-width: 336px;
  flex: 1;
}
.strokeLine,
.vectorStrokeLine {
  width: 100%;
  max-height: 100%;
  margin: 40px auto;
}
.vectorStrokeLine {
  margin: 40px auto 0;
}
.doubleCol {
  gap: 80px;
}
.specialSection {
  margin-top: 48px;
  gap: 48px;
  display: flex;
  flex-direction: column;
}
.imageWithDetail,
.paragraph,
.articleSeriesPromotionWrapper,
.tagsWrapper,
.commentBoxWrapper {
  margin-top: 48px;
}
.authorIntroductionWrapper {
  margin-top: 24px;
}
.paragraph {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.miniParagraph {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.normalText {
  font-size: 14px;
  letter-spacing: 0.05em;
  line-height: 150%;
  color: #1d1d1d;
  font-family: "Inter Tight";
}
.italicText {
  font-size: 18px;
  letter-spacing: -0.02em;
  line-height: 140%;
  display: inline-block;
  font-weight: 600;
  font-style: italic;
  font-family: Niramit;
  color: #242222;
  text-align: left;
}
.subscribeBoxWrapper {
  text-align: left;
}
.aboveFooterWrapper {
  margin: 80px 0;
  display: flex;
  flex-direction: column;
  gap: 80px;
}

@include mobile {
  .mainArticle {
    display: flex;
    flex-direction: column;
  }
  .wrapper {
    &__adBanner {
      order: 1;
      margin: 60px 0;
    }
    &__stickyNavbar {
      order: 3;
    }
    &__footer {
      order: 2;
    }
  }
  .doubleCol {
    flex-direction: column;
    gap: 60px;
  }
}
.secondColHidden {
  display: none;
}